Bug 633864 - block: fix s390 tape block driver crash that occurs when it switches the IO scheduler [rhel-6.0.z]
Summary: block: fix s390 tape block driver crash that occurs when it switches the IO s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Gris Ge
URL:
Whiteboard:
Depends On: 632631
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-14 14:48 UTC by RHEL Program Management
Modified: 2013-01-11 03:18 UTC (History)
12 users (show)

Fixed In Version: kernel-2.6.32-71.3.1.el6
Doc Type: Bug Fix
Doc Text:
Previously, the s390 tape block driver crashed whenever it tried to switch the I/O scheduler. With this update, an official in-kernel API (elevator_change()) is used to switch the I/O scheduler safely, thus, the crashes no longer occurs.
Clone Of:
Environment:
Last Closed: 2010-11-10 19:09:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0842 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-11-22 19:34:20 UTC

Description RHEL Program Management 2010-09-14 14:48:36 UTC
This bug has been copied from bug #632631 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 2 Frantisek Hrbata 2010-10-04 07:14:33 UTC
in 2.6.32-71.3.1.el6

Comment 7 Chris Ward 2010-10-20 10:02:41 UTC
Here are a few arches to test 0day erratum; please test and post feedback before Wed 27th

http://people.redhat.com/kzhang/kernel-2.6.32-71.4.1.el6.x86_64.rpm
http://people.redhat.com/kzhang/kernel-2.6.32-71.4.1.el6.ppc64.rpm
http://people.redhat.com/kzhang/kernel-2.6.32-71.4.1.el6.s390x.rpm

Thanks. Let me know if you need additional arches.

Comment 10 errata-xmlrpc 2010-11-10 19:09:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0842.html

Comment 11 Martin Prpič 2010-11-11 11:47:21 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the s390 tape block driver crashed whenever it tried to switch the I/O scheduler. With this update, an official in-kernel API (elevator_change()) is used to switch the I/O scheduler safely, thus, the crashes no longer occurs.


Note You need to log in before you can comment on or make changes to this bug.